org.apache.ignite.internal.processors.service

## Class GridServiceDeploymentKey

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUtilityKey<GridServiceDeploymentKey>
  - - org.apache.ignite.internal.processors.service.GridServiceDeploymentKey

All Implemented Interfaces:
  Serializable, GridCacheInternal

Deprecated.
Services internals use messages for deployment management instead of the utility cache, since Ignite 2.8.

    @Deprecated
    public class GridServiceDeploymentKey
    extends GridCacheUtilityKey<GridServiceDeploymentKey>

Service configuration key.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceDeploymentKey(String name)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected boolean` `equalsx(GridServiceDeploymentKey that)` Deprecated. Child-specific equals method.
`int` `hashCode()` Deprecated.
`String` `name()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheUtilityKey

`equals`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceDeploymentKey

    public GridServiceDeploymentKey(String name)

Deprecated.

Parameters:
  `name` - Service ID.

### Method Detail

#### name

    public String name()

Deprecated.

Returns:
  Service name.

#### equalsx

    protected boolean equalsx(GridServiceDeploymentKey that)

Deprecated.
Child-specific equals method.

Specified by:
  `equalsx` in class `GridCacheUtilityKey<GridServiceDeploymentKey>`
Parameters:
  `that` - Key.
Returns:
  `True` if equals.

#### hashCode

    public int hashCode()

Deprecated.

Specified by:
  `hashCode` in class `GridCacheUtilityKey<GridServiceDeploymentKey>`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021